'use strict' 

const EasyGraphQLTester = require('../lib')

const schema = `
  type FamilyInfo {
    id: ID!
    isLocal: Boolean!
  }

  type Query {
    getFamilyInfoByIsLocal(isLocal: Boolean!): FamilyInfo
  }
`

const query = `
  query TEST($isLocal: Boolean!) {
    getFamilyInfoByIsLocal(isLocal: $isLocal) {
      id
      isLocal
    }
  }
`

function getFamilyInfoByIsLocal(__, args, ctx) {
  return {
    id: 1,
    isLocal: args.isLocal
  }
}

const resolvers = {
  Query: {
    getFamilyInfoByIsLocal    
  }
}

const tester = new EasyGraphQLTester(schema, resolvers)

const result = tester.graphql(query, undefined, undefined, { isLocal: false })
console.log('->', result);